Page MenuHomePhabricator

Wikidata Bridge random browser test failure “Errors-Init-Value-Switch shows the current targetValue” (Failed to wait for wikibase.client.data-bridge.app to be ready after 2000 ms)
Closed, ResolvedPublic

Description

This Wikidata Bridge browser test failed, apparently randomly, on an unrelated change. Console:

21:05:57 [chrome 73.0.3683.75 Linux #0-1] Spec: /workspace/src/extensions/Wikibase/client/data-bridge/tests/selenium/specs/init.js
21:05:57 [chrome 73.0.3683.75 Linux #0-1] Running: chrome (v73.0.3683.75) on Linux
21:05:57 [chrome 73.0.3683.75 Linux #0-1]
21:05:57 [chrome 73.0.3683.75 Linux #0-1] init
21:05:57 [chrome 73.0.3683.75 Linux #0-1]    ✓ opens app in OOUI dialog
21:05:57 [chrome 73.0.3683.75 Linux #0-1]
21:05:57 [chrome 73.0.3683.75 Linux #0-1]     Errors-Init-Value-Switch
21:05:57 [chrome 73.0.3683.75 Linux #0-1]        ✓ shows the occurence of errors
21:05:57 [chrome 73.0.3683.75 Linux #0-1]        ✖ shows the current targetValue
21:05:57 [chrome 73.0.3683.75 Linux #0-1]
21:05:57 [chrome 73.0.3683.75 Linux #0-1] 2 passing (7.4s)
21:05:57 [chrome 73.0.3683.75 Linux #0-1] 1 failing
21:05:57 [chrome 73.0.3683.75 Linux #0-1]
21:05:57 [chrome 73.0.3683.75 Linux #0-1] 1) Errors-Init-Value-Switch shows the current targetValue
21:05:57 [chrome 73.0.3683.75 Linux #0-1] Failed to wait for wikibase.client.data-bridge.app to be ready after 2000 ms.
21:05:57 [chrome 73.0.3683.75 Linux #0-1] Error: Failed to wait for wikibase.client.data-bridge.app to be ready after 2000 ms.
21:05:57 [chrome 73.0.3683.75 Linux #0-1]     at Object.waitForModuleState (/workspace/src/extensions/Wikibase/client/data-bridge/tests/selenium/ForwardCompatUtil.js:22:11)
21:05:57 [chrome 73.0.3683.75 Linux #0-1]     at DataBridgePage.open (/workspace/src/extensions/Wikibase/client/data-bridge/tests/selenium/pageobjects/dataBridge.page.js:32:21)
21:05:57 [chrome 73.0.3683.75 Linux #0-1]     at Context.it (/workspace/src/extensions/Wikibase/client/data-bridge/tests/selenium/specs/init.js:86:19)

Screenshot from the artifacts:

So the page loaded, but then we timed out waiting for the wikibase.client.data-bridge.app ResourceLoader module to become ready. 2000 ms is the default timeout of waitForModuleState – perhaps that’s too short and it should be 10000 ms instead?

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterbridge: increase timeout for app appearance

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 11 2019, 9:26 AM
Jdlrobson triaged this task as Unbreak Now! priority.Nov 4 2019, 11:54 PM
Jdlrobson added a subscriber: Jdlrobson.

This is showing up in the MobileFrontend repo and blocking merges there. I'd appreciate disabling this test as a short term solution if it cannot be easily fixed.

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptNov 4 2019, 11:54 PM

@Jdlrobson I looked through recent MobileFrontend patches, but couldn't find a failure related to this task. Could you point us to a patch where it occurred?

Jdlrobson lowered the priority of this task from Unbreak Now! to Needs Triage.EditedNov 5 2019, 8:49 PM

Looks like it's no longer UBN. Yesterday I was getting the issue on every patch but now that's not the case.
https://integration.wikimedia.org/ci/job/wmf-quibble-selenium-php72-docker/6044/console is an example of where it was showing up. (PS2: https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/MobileFrontend/+/548543/2)

Michael triaged this task as Medium priority.Nov 6 2019, 5:37 PM
Michael moved this task from tech things to Task overflow on the Wikidata-Bridge board.

Thank you for the links! I made Jenkins remember this log (thanks @Lucas_Werkmeister_WMDE for showing me how), and I'm prioritizing this higher, so we spend some time soon-ish in investigating what is going on.

Jdlrobson moved this task from Epics/Goals to Tracking on the Readers-Web-Backlog board.

Change 551205 had a related patch set uploaded (by Matthias Geisler; owner: Matthias Geisler):
[mediawiki/extensions/Wikibase@master] bridge: increase timeout for app appearance

https://gerrit.wikimedia.org/r/551205

Change 551205 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: increase timeout for app appearance

https://gerrit.wikimedia.org/r/551205

Moving out of the Peer Review column, though I’m not sure if Verification is appropriate or if we should just close this.

Lydia_Pintscher closed this task as Resolved.Mon, Nov 18, 8:10 PM
Lydia_Pintscher moved this task from Verification to Done on the Wikidata-Bridge-Sprint-9 board.
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

Directly to done is fine :)